#!/usr/local/bin/ruby
print "Content-Type:text/html\n\n"
#テニスコート予約情報の取得

require 'mysql'
require 'rexml/document'
require 'yaml'

param=YAML.load_file "../conf/db_info.yml"
dbinfo=param["db_param"]


my = Mysql.new(dbinfo["db_Host"],dbinfo["db_User"],dbinfo["db_Pass"],dbinfo["db_Name"])


res = my.query('SELECT xml_data from tennis_court_yoyaku order by bangou asc')
data = Array.new
tabledata = Array.new

i = 0
res.each do |row|
data[i]=REXML::Document.new(row[0])
tabledata[i]="<tr><td>"

tabledata[i]+="<a href=\"../html/tennis_court_yoyaku2.html?bangou="
tabledata[i]+=data[i].elements['/pharma-sc/bangou'].text
tabledata[i]+="\" target=\"content\">"
tabledata[i]+=data[i].elements['/pharma-sc/bangou'].text
tabledata[i]+="</a></td><td>"

begin
tabledata[i]+=data[i].elements['/pharma-sc/date'].text
rescue
end

tabledata[i]+="</td><td>"

begin
tabledata[i]+=data[i].elements['/pharma-sc/kaizyou'].text
rescue
end
tabledata[i]+="</td><td>"

begin
tabledata[i]+=data[i].elements['/pharma-sc/daihyo'].text
rescue
end
tabledata[i]+="</td><td>"
begin
tabledata[i]+=data[i].elements['/pharma-sc/ninzu'].text
rescue
end
tabledata[i]+="</td></tr>"

print(tabledata[i])
i += 1
end

i = 0
number_data = ""
date_data = ""
court_data = ""
sekininsya_data = ""
ninzu_data = ""
while i < 20
  i += 1
  begin
    number_data += data.elements['/pharma-sc/bangou'].text + ","
    date_data +=data.elements ['/pharma-sc/date'].text + ","
    court_data += data.elements['/pharma-sc/kaizyou'+i.to_s].text + ","
    sekininsya_data += data.elements['/pharma-sc/daihyo'+i.to_s].text + ","
    ninzu_data += data.elements['/pharma-sc/ninzu'+i.to_s].text + ","
  rescue
    next
  end
end
puts number_data.chop
puts date_data.chop
puts court_data.chop
puts sekininsya_data.chop
puts ninzu_data.chop
